AbstractSender (Tomcat API Documentation)
Keywords: org.apache.catalina.tribes.transport.AbstractSender class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.tribes.transport
Class AbstractSender

    java.lang.Object
      org.apache.catalina.tribes.transport.AbstractSender

All Implemented Interfaces:
  DataSender

Direct Known Subclasses:
  BioSender, MultipointBioSender, NioSender, ParallelNioSender, PooledSender

    public abstract class AbstractSender

extends java.lang.Object
implements DataSender

Title:

Description:

Company:

Version:
  1.0
Author:
  not attributable

Constructor Summary
`AbstractSender()`

Method Summary
`abstract void` | `connect()` connect
`abstract void` | `disconnect()` disconnect
`java.net.InetAddress` | `getAddress()`
`int` | `getAttempt()`
`long` | `getConnectTime()`
`Member` | `getDestination()`
`boolean` | `getDirect()`
`boolean` | `getDirectBuffer()`
`int` | `getKeepAliveCount()`
`long` | `getKeepAliveTime()`
`int` | `getMaxRetryAttempts()`
`boolean` | `getOoBInline()`
`int` | `getPort()`
`int` | `getRequestCount()`
`int` | `getRxBufSize()`
`boolean` | `getSoKeepAlive()`
`boolean` | `getSoLingerOn()`
`int` | `getSoLingerTime()`
`boolean` | `getSoReuseAddress()`
`int` | `getSoTrafficClass()`
`boolean` | `getTcpNoDelay()`
`boolean` | `getThrowOnFailedAck()`
`long` | `getTimeout()`
`int` | `getTxBufSize()`
`boolean` | `isConnected()`
`boolean` | `keepalive()` keepalive
`void` | `setAddress(java.net.InetAddress address)`
`void` | `setAttempt(int attempt)`
`protected void` | `setConnected(boolean connected)`
`void` | `setConnectTime(long connectTime)`
`void` | `setDestination(Member destination)`
`void` | `setDirect(boolean direct)`
`void` | `setDirectBuffer(boolean directBuffer)`
`void` | `setKeepAliveCount(int keepAliveCount)`
`void` | `setKeepAliveTime(long keepAliveTime)`
`void` | `setMaxRetryAttempts(int maxRetryAttempts)`
`void` | `setOoBInline(boolean ooBInline)`
`void` | `setPort(int port)`
`void` | `setRequestCount(int requestCount)`
`void` | `setRxBufSize(int rxBufSize)`
`void` | `setSoKeepAlive(boolean soKeepAlive)`
`void` | `setSoLingerOn(boolean soLingerOn)`
`void` | `setSoLingerTime(int soLingerTime)`
`void` | `setSoReuseAddress(boolean soReuseAddress)`
`void` | `setSoTrafficClass(int soTrafficClass)`
`void` | `setTcpNoDelay(boolean tcpNoDelay)`
`void` | `setThrowOnFailedAck(boolean throwOnFailedAck)`
`void` | `setTimeout(long timeout)`
`void` | `setTxBufSize(int txBufSize)`
`static void` | `transferProperties(AbstractSender from, AbstractSender to)` transfers sender properties from one sender to another

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractSender

    public AbstractSender()

Method Detail

### transferProperties

    public static void transferProperties(AbstractSender from,
                                          AbstractSender to)

  transfers sender properties from one sender to another

  Parameters:
    `from` - AbstractSender
    `to` - AbstractSender

### connect

    public abstract void connect()
                          throws java.io.IOException

  connect

  Specified by:
    `connect` in interface `DataSender`
  Throws:
    `java.io.IOException`

### disconnect

    public abstract void disconnect()

  disconnect

  Specified by:
    `disconnect` in interface `DataSender`

### keepalive

    public boolean keepalive()

  keepalive

  Specified by:
    `keepalive` in interface `DataSender`
  Returns:
    boolean

### setConnected

    protected void setConnected(boolean connected)

### isConnected

    public boolean isConnected()

  Specified by:
    `isConnected` in interface `DataSender`

### getConnectTime

    public long getConnectTime()

  Specified by:
    `getConnectTime` in interface `DataSender`

### getDestination

    public Member getDestination()

### getKeepAliveCount

    public int getKeepAliveCount()

### getKeepAliveTime

    public long getKeepAliveTime()

### getRequestCount

    public int getRequestCount()

  Specified by:
    `getRequestCount` in interface `DataSender`

### getRxBufSize

    public int getRxBufSize()

### getTimeout

    public long getTimeout()

### getTxBufSize

    public int getTxBufSize()

### getAddress

    public java.net.InetAddress getAddress()

### getPort

    public int getPort()

### getMaxRetryAttempts

    public int getMaxRetryAttempts()

### setDirect

    public void setDirect(boolean direct)

### setDirectBuffer

    public void setDirectBuffer(boolean directBuffer)

### getDirect

    public boolean getDirect()

### getDirectBuffer

    public boolean getDirectBuffer()

### getAttempt

    public int getAttempt()

### getTcpNoDelay

    public boolean getTcpNoDelay()

### getSoKeepAlive

    public boolean getSoKeepAlive()

### getOoBInline

    public boolean getOoBInline()

### getSoReuseAddress

    public boolean getSoReuseAddress()

### getSoLingerOn

    public boolean getSoLingerOn()

### getSoLingerTime

    public int getSoLingerTime()

### getSoTrafficClass

    public int getSoTrafficClass()

### getThrowOnFailedAck

    public boolean getThrowOnFailedAck()

### setKeepAliveCount

    public void setKeepAliveCount(int keepAliveCount)

  Specified by:
    `setKeepAliveCount` in interface `DataSender`

### setKeepAliveTime

    public void setKeepAliveTime(long keepAliveTime)

  Specified by:
    `setKeepAliveTime` in interface `DataSender`

### setRequestCount

    public void setRequestCount(int requestCount)

### setRxBufSize

    public void setRxBufSize(int rxBufSize)

  Specified by:
    `setRxBufSize` in interface `DataSender`

### setTimeout

    public void setTimeout(long timeout)

  Specified by:
    `setTimeout` in interface `DataSender`

### setTxBufSize

    public void setTxBufSize(int txBufSize)

  Specified by:
    `setTxBufSize` in interface `DataSender`

### setConnectTime

    public void setConnectTime(long connectTime)

### setMaxRetryAttempts

    public void setMaxRetryAttempts(int maxRetryAttempts)

### setAttempt

    public void setAttempt(int attempt)

### setTcpNoDelay

    public void setTcpNoDelay(boolean tcpNoDelay)

### setSoKeepAlive

    public void setSoKeepAlive(boolean soKeepAlive)

### setOoBInline

    public void setOoBInline(boolean ooBInline)

### setSoReuseAddress

    public void setSoReuseAddress(boolean soReuseAddress)

### setSoLingerOn

    public void setSoLingerOn(boolean soLingerOn)

### setSoLingerTime

    public void setSoLingerTime(int soLingerTime)

### setSoTrafficClass

    public void setSoTrafficClass(int soTrafficClass)

### setThrowOnFailedAck

    public void setThrowOnFailedAck(boolean throwOnFailedAck)

### setDestination

    public void setDestination(Member destination)
                        throws java.net.UnknownHostException

  Throws:
    `java.net.UnknownHostException`

### setPort

    public void setPort(int port)

### setAddress

    public void setAddress(java.net.InetAddress address)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.